%define major   2.3.0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define uname   Box2D

Name:           box2d
Version:        2.3.1
Release:        %mkrel 1
Summary:        2D physics engine for games
Group:          System/Libraries
License:        zlib
URL:            http://box2d.org/
# Repacked without Contributions/ and Box2D/{Build,glew,glfw}
Source0:        %{name}-%{version}-repacked.tar.xz

BuildRequires:  cmake
BuildRequires:  doxygen

%description
2D rigid body simulation library for games.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        2D physics engine for games
Group:          System/Libraries

%description -n %{libname}
2D rigid body simulation library for games. Programmers can use it in their
games to make objects move in believable ways and make the world seem more
interactive. From the game's point of view a physics engine is just a system
for procedural animation. Rather than paying (or begging) an animator
to move your actors around, you can let Sir Isaac Newton do the directing.

%files -n       %{libname}
%{_libdir}/lib*.so.%{major}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{uname}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
Development headers and libraries for %{uname}.

%files -n       %{devname}
%doc License.txt Readme.txt Documentation/API
%{_includedir}/%{uname}/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{uname}/
%{_libdir}/%{uname}/

#----------------------------------------------------------------------

%prep
%setup -q
sed -i 's/\r//' License.txt Readme.txt

%build
%cmake -DBOX2D_INSTALL=ON \
       -DBOX2D_BUILD_SHARED=ON \
       -DBOX2D_BUILD_STATIC=OFF \
       -DBOX2D_BUILD_EXAMPLES=OFF
%make

pushd ../Documentation
doxygen
mv -f API/html/* API
rm -rf API/html
popd

%install
%makeinstall_std -C build

# pkgconfig file
install -d %{buildroot}%{_libdir}/pkgconfig
cat << EOF > %{buildroot}%{_libdir}/pkgconfig/%{name}.pc
prefix=%{_prefix}
exec_prefix=\${prefix}
libdir=\${exec_prefix}/%{_lib}
includedir=\${prefix}/include

Name: %{uname}
Description: 2D physics engine for games
Version: %{version}
Libs: -L\${libdir} -l%{uname}
Cflags: -I\${includedir} -I\${includedir}/%{uname}
EOF


%changelog
* Sat Mar 02 2019 pp <pp> 2.3.1-1.pclos2019
- imported package box2d

